ONVIF::Device::Elements::GetScopesResponse(3pm)

NAME
ONVIF::Device::Elements::GetScopesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetScopesResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Scopes

     $element->set_Scopes($data);
     $element->get_Scopes();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetScopesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Scopes =>  { # ONVIF::Device::Types::Scope
     ScopeDef => $some_value, # ScopeDefinition
     ScopeItem =>  $some_value, # anyURI
   },
 },

AUTHOR
Generated by SOAP::WSDL